epp_dcpExpiryType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_dcpExpiryType class

### org.openrtk.idl.epprtk

# Class epp_dcpExpiryType

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_dcpExpiryType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpExpiryType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data collection policy expiry types which describes date type for the expiry of the data collection policy. Two access types are defined: ABSOLUTE, and RELATIVE. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_dcpExpiryType.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_DataCollectionPolicy`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpExpiryType` | `ABSOLUTE` Instance of epp_dcpExpiryType representing the ABSOLUTE expiry type.
  `static epp_dcpExpiryType` | `RELATIVE` Instance of epp_dcpExpiryType representing the RELATIVE expiry type.
  `static int` | `_ABSOLUTE` Integer value representing the ABSOLUTE access type.
  `static int` | `_RELATIVE` Integer value representing the RELATIVE access type.

  ## Constructor Summary
  `epp_dcpExpiryType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpExpiryType` | `from_int(int value)` Transform an integer into a epp_dcpExpiryType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the expiry type.

## Field Details

### ABSOLUTE

    public static final epp_dcpExpiryType ABSOLUTE

> Instance of epp_dcpExpiryType representing the ABSOLUTE expiry type.

### RELATIVE

    public static final epp_dcpExpiryType RELATIVE

> Instance of epp_dcpExpiryType representing the RELATIVE expiry type.

### _ABSOLUTE

    public static final int _ABSOLUTE

> Integer value representing the ABSOLUTE access type.
> Field Value:
>   0
> See Also:
>   `ABSOLUTE`

### _RELATIVE

    public static final int _RELATIVE

> Integer value representing the RELATIVE access type.
> Field Value:
>   1
> See Also:
>   `RELATIVE`

## Constructor Details

### epp_dcpExpiryType

    protected epp_dcpExpiryType(int value)

> For internal use only. Initializes the internal access type array.
> Parameters:
>   `value` - The integer value for the desired expiry type

## Method Details

### from_int

    public static epp_dcpExpiryType from_int(int value)

> Transform an integer into a epp_dcpExpiryType constant. Given the integer representation of the expiry type, returns one of the expiry type constants.
> Parameters:
>   `value` - The integer value for the desired expiry type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the expiry type.
> Returns:
>   The integer value of this expiry type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS